import { Routes } from '@angular/router';
import { TabsPage } from './tabs.page';

export const routes: Routes = [
  {
    path: 'tabs',
    component: TabsPage,
    children: [
      {
        path: 'tab1',
        loadComponent: () =>
          import('../tab1/tab1.page').then((m) => m.Tab1Page),
      },
      {
        path: 'tab2',
        loadComponent: () =>
          import('../tab2/tab2.page').then((m) => m.Tab2Page),
      },
      {
        path: 'tab3',
        loadComponent: () =>
          import('../tab3/tab3.page').then((m) => m.Tab3Page),
      },
      {
        path: 'tab4',
        loadComponent: () =>
          import('../tab4/tab4.page').then((m) => m.tab4Page),
      },
      {
        path: 'tab5',
        loadComponent: () =>
          import('../tab5/tab5.page').then((m) => m.tab5Page),
      },
      {
        path: 'interest-test',
        loadComponent: () =>
          import('../interest-test/interest-test.component').then((m) => m.InterestTestComponent),
      },
      {
        path: 'view-all',
        loadComponent: () =>
          import('../view-all/view-all.component').then((m) => m.ViewAllComponent),
      },
      {
        path: 'interest-picture',
        loadComponent: () =>
          import('../interest-picture/interest-picture.component').then((m) => m.InterestPictureComponent),
      },
      {
        path: 'interest-search',
        loadComponent: () =>
          import('../interest-search/interest-search.component').then((m) => m.InterestSearchComponent),
      },
      {
        path: 'user-login',
        loadComponent: () =>
          import('../user-login/user-login.component').then((m) => m.UserLoginComponent),
      },
      {
        path: '',
        redirectTo: '/tabs/tab1',
        pathMatch: 'full',
      },
    ],
  },
  {
    path: '',
    redirectTo: '/tabs/tab1',
    pathMatch: 'full',
  },
];
